--[[spark_particle = 
{
	animation = "DATA:Animations/world/puzzle_shard_shine.anim",
	life = 0.5,
	fade = "quadratic",

	--default to background particle
	particle_placement = FXParticle.GUIGROUND
}

function UpdatePattern( pattern, time_elapsed, particles, root_position, root_object )

	for i in particles:GetParticles() do
          
		i:Rotate( 0.5 )
		i:SetScale( i:GetScale()*1.25 )
                
	end

end

function UpdateSpawn( spawner, time_elapsed, particles, root_position, root_object )

	if not spawned then
		
		spawned = true
		local particle = spawner:SpawnParticle( "spark_particle", root_position )
		particle:SetModulate( Colour(255,255,255,255) )
	
	end
	
end

Effect = 
{
	FXType = "Custom",
	PlaysWhilePaused = true,
	Data = 
	{
		-- 0 is infinity
		life = 5.5,
		
--		sound = "bang",
		
--		volume = 10.0,
	}
-]]

Effect = 
{
	FXType = "WinShine",
	PlaysWhilePaused = true,
	Data = 
	{
		-- 0 is infinity
		life = 5.5,
		
		WinShine =
		{
			rotate = 0.5,										--amount to rotate per frame
			initial_scale = { 1, 1 },						--initial scaling of particles
			scaling_factor = 1.25,							--scaling factor for particles per frame
			modulate = { 255, 255, 255, 255 },	--particle modulate
			
		},
		
		Particles = 
		{
			animation = "DATA:Animations/world/puzzle_shard_shine.anim",
			life = 0.5,
			fade = "quadratic",
		
			--default to background particle
			particle_placement = FXParticle.GUIGROUND
		}
	}
}